/*!
 * (C) Gasco https://gasco-web-component.herokuapp.com/ - MIT License
 */
import { Component, Host, h, Prop } from '@stencil/core';
export class GascoTableRow {
  constructor() {
    this.header = false;
  }
  render() {
    return (h(Host, { role: "row", class: {
        'table-row': true,
        [`table-row-header`]: this.header
      } },
      h("slot", null)));
  }
  static get is() { return "gasco-table-row"; }
  static get encapsulation() { return "scoped"; }
  static get originalStyleUrls() { return {
    "$": ["gasco-table-row.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["gasco-table-row.css"]
  }; }
  static get properties() { return {
    "header": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "header",
      "reflect": false,
      "defaultValue": "false"
    }
  }; }
}
